Index: /trunk/SophyaPI/ProgPI/smakefile
===================================================================
--- /trunk/SophyaPI/ProgPI/smakefile	(revision 3878)
+++ /trunk/SophyaPI/ProgPI/smakefile	(revision 3879)
@@ -14,128 +14,140 @@
 	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)piapp.o $(SOPHYAOBJP)piacmdrdr.o $(SOPHYAOBJP)sopiamodule.o $(SOPHYAOBJP)fitsbtadapter.o $(SOPHYAOBJP)w2ps.o $(SOPHYAOBJP)skymapmodule.o $(SOPHYAALLSLBLIST)
  
-$(SOPHYAOBJP)fitsbtadapter.o: fitsbtadapter.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
+$(SOPHYAOBJP)fitsbtadapter.o: fitsbtadapter.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nobjmgr.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)dlftypes.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)servnobjm.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)nobjmgr.h $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)dlftypes.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)zthread.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)nomgadapter.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
   $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pipixutils.h \
-  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pifontx.h \
   $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)lut.h \
-  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)generalfunc.h \
+  $(SOPHYAINCP)pistdimgapp.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piapplgen.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)picontainergen.h \
+  $(SOPHYAINCP)pimenubarx.h \
+  $(SOPHYAINCP)pimenubargen.h \
+  $(SOPHYAINCP)pimenux.h \
+  $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piimage.h \
+  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)pipixmapx.h \
+  $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)picmapview.h \
+  $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  $(SOPHYAINCP)piacmd.h \
+  $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pilistgen.h \
+  $(SOPHYAINCP)pistzwin.h \
+  $(SOPHYAINCP)pitherm.h \
+  $(SOPHYAINCP)resusage.h \
+  $(SOPHYAINCP)fbtntintf.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)nomhistadapter.h \
+  $(SOPHYAINCP)nomgadapter.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)basedtable.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)thsafeop.h \
+  $(SOPHYAINCP)swfitsdtable.h \
+  $(SOPHYAINCP)swsegdb.h \
+  $(SOPHYAINCP)fitsswapper.h \
+  $(SOPHYAINCP)fitsinoutfile.h \
+  $(SOPHYAINCP)fitsblkrw.h \
+  $(SOPHYAINCP)fitshandler.h \
+  $(SOPHYAINCP)fitsmanager.h \
+  $(SOPHYAINCP)fitshandler.h \
+  $(SOPHYAINCP)fiosinit.h \
+  $(SOPHYAINCP)sophyainit.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsbtadapter.cc
+ 
+$(SOPHYAOBJP)piacmdrdr.o: piacmdrdr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)sspvflags.h \
+  piacmdrdr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)generalfunc.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
